org.bouncycastle.asn1.crmf

## Class CertReqMessages

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.crmf.CertReqMessages

All Implemented Interfaces:
  DEREncodable

    public class CertReqMessages
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static CertReqMessages` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` CertReqMessages ::= SEQUENCE SIZE (1..MAX) OF CertReqMsg
`CertReqMsg[]` `toCertReqMsgArray()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CertReqMessages getInstance(java.lang.Object o)

#### toCertReqMsgArray

    public CertReqMsg[] toCertReqMsgArray()

#### toASN1Object

    public DERObject toASN1Object()

     CertReqMessages ::= SEQUENCE SIZE (1..MAX) OF CertReqMsg

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.